package li.qwas.test;

import java.util.ArrayList;
import java.util.List;

import javax.persistence.CascadeType;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.OneToMany;

@Entity
public class A {
	@Id
	private int id;

	@OneToMany(cascade = CascadeType.ALL, orphanRemoval = true)
	private List<B> bs = new ArrayList<B>();

	public A() {}

	public A(int id) {
		this.id = id;
	}

	public List<B> getBs() {
		return bs;
	}
}
