package li.qwas.test;

import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.PreRemove;
import javax.persistence.Transient;

@Entity
public class B {
	@Id
	private int id;

	@Transient
	private boolean preRemoveCalled = false;

	@PreRemove
	public void prepareRemove() {
		preRemoveCalled = true;
	}

	public B() {}

	public B(int id) {
		this.id = id;
	}

	public boolean isPreRemoveCalled() {
		return preRemoveCalled;
	}

}
